#!/bin/sh -e
test $# -lt 1 && echo "$0 Target-Device" && exit 1

echon() {
	printf "%s" "$@"
}
yesno()
{
	msg="$1"
	def="$2"
	while true ; do
	echon "$msg"
	read answer
	if [ "$answer" ] ; then
		case "$answer" in
		y|Y|yes|YES)
			return 0
			;;
		n|N|no|NO)
			return 1
			;;
		*)
			echo " "
			echo "Error: Invalid response, expected \"yes\" or \"no\"."
			continue
			;;
		esac
	else
		return $def
	fi
	done
}

if yesno "Proceed? yes or no [n] " 1 ; then
mkfs.ext4 -O has_journal,ext_attr,resize_inode,dir_index,filetype,sparse_super,large_file,extent,flex_bg,huge_file,uninit_bg,dir_nlink,extra_isize $1
fi
